#!/bin/sh


case $1 in 

ast_stable_cflags)
	tmp=/tmp/test_if_we_have_asterisk_stable

	cat > $tmp.c <<EOF 
#include <pthread.h>
#include <asterisk/channel.h>
void test() { 
struct ast_channel c; 
c.callerid="MUH";
}
EOF
	if gcc -c -D_GNU_SOURCE $tmp.c -o $tmp.o 2> /dev/null ; then 
	    echo -DASTERISK_STABLE;
	fi 
	rm -rf $tmp.*;
	rm -rf $tmp;
	;;
esac

